Page MenuHomePhabricator

Change the datatype of P4839 from string to identifier
Closed, ResolvedPublic

Description

As requested by the community, the property P4839 (Wolfram Language entity code) that is currently a string, should be turned into an external identifier.

The reason why it was not done in the first place, URLs of the website not working, should not be considered as a blocker for an external identifier.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 30 2019, 2:20 PM
Lydia_Pintscher triaged this task as Medium priority.Oct 1 2019, 10:48 AM
Lydia_Pintscher moved this task from Incoming to Ready to estimate on the Wikidata-Campsite board.

Just left a note on the property talk page (weakly) opposing this change. There I explain, why (to keep the discussion in one place).

Lydia_Pintscher changed the task status from Open to Stalled.Oct 2 2019, 1:43 PM

Marking as stalled until the discussion is resolved.

I changed my mind as mentioned on the talk page: Support for changing this property to external ID.

Lydia_Pintscher changed the task status from Stalled to Open.Oct 15 2019, 10:35 AM

Is everyone fine to change the datatype of P7007 (Wolfram Language unit code) to external ID as well? (discussion)

Addshore added a subscriber: Addshore.EditedNov 5 2019, 12:07 PM

@Lea_Lacroix_WMDE does this have enough support to go ahead?
I only see 1 support in the linked discussion?
It might make sense for some admin or wikidata user to close the discussion with a decision?

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptTue, Nov 12, 7:35 PM

Mentioned in SAL (#wikimedia-operations) [2019-11-12T19:45:41Z] <Amir1> ladsgroup@mwmaint1002:~$ mwscript extensions/Wikibase/repo/maintenance/changePropertyDataType.php --wiki=wikidatawiki --property-id P4839 --new-data-type external-id (T234221)

Mentioned in SAL (#wikimedia-operations) [2019-11-12T19:46:09Z] <Amir1> ladsgroup@mwmaint1002:~$ mwscript extensions/Wikibase/repo/maintenance/changePropertyDataType.php --wiki=wikidatawiki --property-id P7007 --new-data-type external-id (T234221)

Maintenance_bot moved this task from Incoming to In progress on the User-Ladsgroup board.